# Makefile.inc
# Copyright (c) 1998, Regents of the University of California
# $Id: Makefile.inc,v 1.13 1998/12/12 00:21:46 marcel Exp $

include $(LIBGISTHOME)/src/Makefile.inc

JC = javac
JAVA = java
JAVAH = javah
CPATH =../gui:../analysis:../libgist:../treeview#:$(JFCINSTALL)/src.jar
#:$(JDKINSTALL)/lib/dt.jar:$(CLASSPATH)
JAVAFLAGS = -classpath $(CPATH) -mx64m -ms16m
JHFLAGS = -classpath $(CPATH) -jni
JFLAGS = -classpath $(CPATH) -deprecation

%.class: %.java
	$(JC) $(JFLAGS) $*.java

%.h: %.class
	$(JAVAH) $(JHFLAGS) $*
	touch $@
